blackbox.constraints

## Class ConstraintFuncTwoLinkIn

- java.lang.Object
- - blackbox.constraints.Constraint
  - - blackbox.constraints.ConstraintFuncTwoLinkIn

All Implemented Interfaces:
  java.io.Serializable

    public class ConstraintFuncTwoLinkIn
    extends Constraint
    implements java.io.Serializable

The Class ConstraintFuncTwoLinkIn.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ConstraintFuncTwoLinkIn(BBFunction function)` Instantiates a new constraint func two link in.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `checkConstraint()` Check constraint.
`boolean` `solveConstraint(BlackBox bb)` Solve constraint.

### Methods inherited from class blackbox.constraints.Constraint

`getCriticity, setCriticity`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConstraintFuncTwoLinkIn

    public ConstraintFuncTwoLinkIn(BBFunction function)

Instantiates a new constraint func two link in.

Parameters:
  `function` - the function

### Method Detail

#### checkConstraint

    public boolean checkConstraint()

Description copied from class: `Constraint`
Check constraint.

Specified by:
  `checkConstraint` in class `Constraint`
Returns:
  true, if successful

#### solveConstraint

    public boolean solveConstraint(BlackBox bb)

Description copied from class: `Constraint`
Solve constraint.

Specified by:
  `solveConstraint` in class `Constraint`
Parameters:
  `bb` - the bb
Returns:
  true, if successful